<?php

namespace Drupal\calculation_fields_example\Form;

use Drupal\Core\Form\FormStateInterface;

/**
 * Example of a form with calculation fields.
 *
 * @package Drupal\calculation_fields_example\Form
 */
class CalculationFieldsMaskSettingsExample extends CalculationFieldsExample {

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $form = parent::buildForm($form, $form_state);
    $form['result']['#currency_symbol'] = 'EUR';
    $form['result']['#evaluation_fields_mask'] = 'currency';

    $form['result_markup']['#currency_symbol'] = 'EUR';
    $form['result_markup']['#evaluation_fields_mask'] = 'currency';

    $form['result_markup_1']['#currency_symbol'] = 'EUR';
    $form['result_markup_1']['#evaluation_fields_mask'] = 'currency';
    return $form;
  }

}
